wx-ssh-config(){
    echo "      >> SSH / Config <<      "
    echo "------------------------------"

    case $1 in
        edit)
            wx-ssh-config-sync
            wx-ssh-config-edit
            wx-ssh-config-save
            ;;
        save)
            wx-ssh-config-save
            ;;
        sync)
            wx-ssh-config-sync
            ;;
        *)
            wx-ssh-config-sync
            wx-stop
            ;;
    esac


}

wx-ssh-config-edit(){
    nano ~/.ssh/config
}

wx-ssh-config-save(){
    curl https://$VAULT_DOMAIN/v1/cli/data/$USER -X POST --header "X-Vault-Token: ${config["login",$ORG]}" -d "{ \"data\": { \"settings/ssh/config\": \"$(cat ~/.ssh/config | base64 -w 0)\" } }" -s &> /dev/null
}

wx-ssh-config-sync(){
    echo $(curl https://$VAULT_DOMAIN/v1/cli/data/$USER -X GET --header "X-Vault-Token: ${config["login",$ORG]}" -s | jq -r '.data.data["settings/ssh/config"]') | base64 -d > ~/.ssh/config 2>&1
}
